summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
Diffstat (limited to 'audio')
-rw-r--r--audio/phat/README6
-rw-r--r--audio/phat/phat.SlackBuild76
-rw-r--r--audio/phat/phat.info10
-rw-r--r--audio/phat/slack-desc20
4 files changed, 112 insertions, 0 deletions
diff --git a/audio/phat/README b/audio/phat/README
new file mode 100644
index 0000000000..82e7ef9897
--- /dev/null
+++ b/audio/phat/README
@@ -0,0 +1,6 @@
+PHAT is a collection of GTK+ widgets geared toward pro-audio apps.
+The goal is to eliminate duplication of effort and provide some
+standardization (well, at least for GTK+ apps). It's open source
+software, licensed under the GNU GPL, version 2.0 or later.
+
+NOTE: libgnomecanvas is required to build phat.
diff --git a/audio/phat/phat.SlackBuild b/audio/phat/phat.SlackBuild
new file mode 100644
index 0000000000..e4c8ca99df
--- /dev/null
+++ b/audio/phat/phat.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+#
+# Slackbuild script for phat
+#
+# Copyright (c) 2009, Matt Hayes <dominian@slackadelic.com>
+# Copyright (c) 2009, Christopher Forrest <nyrednek@gmx.com>
+#
+# Permission to use, copy, modify, and/or distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+
+PRGNAM=phat
+VERSION=${VERSION:-0.4.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+LDFLAGS="-L/lib${LIBDIRSUFFIX} -L/usr/lib${LIBDIRSUFFIX}" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX}
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/audio/phat/phat.info b/audio/phat/phat.info
new file mode 100644
index 0000000000..af2a6ce0cf
--- /dev/null
+++ b/audio/phat/phat.info
@@ -0,0 +1,10 @@
+PRGNAM="phat"
+VERSION="0.4.1"
+HOMEPAGE="http://phat.berlios.de"
+DOWNLOAD="http://download.berlios.de/phat/phat-0.4.1.tar.gz"
+MD5SUM="b8d1d3ae0d7094d705a33753fe821ebc"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Christopher Forrest"
+EMAIL="cforrest@gmx.com"
+APPROVED="dsomero"
diff --git a/audio/phat/slack-desc b/audio/phat/slack-desc
new file mode 100644
index 0000000000..f4f4a0b4d8
--- /dev/null
+++ b/audio/phat/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+phat: PHAT (GTK+ widgets geared toward pro-audio apps)
+phat:
+phat: PHAT is a collection of GTK+ widgets geared toward pro-audio apps.
+phat: The goal is to eliminate duplication of effort and provide some
+phat: standardization (well, at least for GTK+ apps). It's open source
+phat: software, licensed under the GNU GPL, version 2.0 or later.
+phat:
+phat: Homepage: http://phat.berlios.de
+phat:
+phat:
+phat:
+